-- All data in this file is copyrighted to the author (oscarucb), all rights reserved
local addonName, vars = ...
vars.svnrev = vars.svnrev or {}
vars.svnrev["PV_data.lua"] = tonumber(("$Revision: 499 $"):match("%d+"))

vars.VersionInfo = {
	   ["DBversion"] = 8,
	   ["DBrevision"] = tonumber(("$Revision: 499 $"):match("%d+")),
           ["clientexpansion"] = 4,
           ["clientversion"] = "5.4.0",
           ["clientbuildmin"] = "17337",
           ["clientbuildmax"] = "17337",
}

local _fakeid = 1000000
local function fakeid() 
  _fakeid = _fakeid + 1
  return _fakeid
end

local locale = GetLocale()
if locale == "enGB" then locale = "enUS" end

-- cases where the localized name on the pattern or crafted item and taught spell don't match or duplicate
-- transmutes, figurines and other minor differences like punctuation and capitalization are handled programmatically
-- array format:   
--  [recipe_itemid] = tradeskill_spellid   
--        or
--  [crafted_itemid] = tradeskill_spellid   
--        or
--  [{recipe_itemid, crafted_itemid}] = tradeskill_spellid
-- For enchants, crafted item is scroll of enchant

-- first the locale-specific exceptions
  -- [{,}] = , -- 
local Exceptions_ItoS_locale
if locale == "enUS" then Exceptions_ItoS_locale = {
  [{44498,44470}] = 60767, -- Enchant Bracer(s) - Superior Spellpower
  [{44944,44947}] = 62256, -- Enchant Bracer(s) - Major Stamina
  [{37346,38984}] = 44598, -- Enchant Bracer(s) - Expertise (pat never released - trainer pat)
  [41107] = 57021, -- Glyph of (the) Harsh Word(s)
  [43390] = 58337, -- Glyph of Drain Soul / Soul Consumption
  [44928] = 62162, -- Glyph of (the) Master Shapeshifter
  [{86354,82423}] = 125533, -- Pattern: Contender's Silk Rai(n)ment
  [{86362,82431}] = 125541, -- Pattern: Contender's Satin Rai(n)ment
  [{84208,82968}] = 122642, -- Plans: Masterwork Ligh(t)steel Shield
} elseif locale == "frFR" then Exceptions_ItoS_locale = {
  [{25910,25895}] = 32874, -- Diamant brûleciel énigmatique
  [{52426,52228}] = 73378, -- Emeraude de rve perforante
  [{41742,41335}] = 55393, -- Diamant flambeciel énigmatique
  [41339] = 55394, -- Diamant flambeciel de rapidit
  [{41705,41377}] = 55384, -- Diamant flambeciel protg
  [40087] = 53904, -- Potion de rgnration puissante (Powerful Rejuv Potion), name collision
  [57193] = 80490, -- Potion de rgnration puissante (Mighty Rejuv Potion), name collision
  [{22547,24003,38913}] = 27960, -- Ench. de plastron (Carac. puissantes), (Exceptional Stats) name collision
  [{44489,44465}] = 60692, -- Ench. de plastron (Carac. puissantes), (Powerful Stats) name collision
  [52744] = 74191, -- Ench. de plastron (Carac. puissantes), (Mighty Stats) name collision
  [43342] = 58317, -- Glyphe de l'oubli (Glyph of Fading), name collision
  [42398] = 57184, -- Glyphe d'oubli (Glyph of Fade), name collision
  [{16224,38859}] = 20015, -- Enchantement de cape (Défense excellent)
  [19027] = 23507, -- Schéma : Feu d'artifice « Explosion serpentine »
  [24173] = 31078, -- Dessin : Diadème de puissance arcanique
  [{37332,38950}] = 44483, --Formule : Enchantement de cape (Résistance au Givre supérieure
  [{19448,38883}] = 23803, -- enchantement d'arme (Esprit puissant)
  [38912] = 27958, -- enchantement de plastron (Mana exceptionnel
  [{28272,38935}] = 33997, -- enchantement de gants (Puissance des sorts majeurs)
  [{44487,44467}] = 60714, -- Parchemin d'enchantement d'arme (Puissance des sorts puissante)
  [{52364,52088}] = 73229, -- Zéphyrite stable
  [52089] = 73230, -- Zéphyrite rigide
  [{52376,52116}] = 73269, -- Fine Hessonite
  [{52402,52248}] = 73353, -- Oeil de démon intemporel
  [{52378,52119}] = 73272, -- Jaspe rgalienne
  [{52494,52485}] = 73625, -- Dessin : Monocle de joaillier en rubis
  [{52738,52778}] = 74248, -- Enchantement de brassard (Coup critique supérieur)
  [{68810,63481}] = 89815, -- Glyphe de frappe colossale
  [{64412,52782}] = 74253, -- Enchantement de bottes (Marche-lave)
  [{67068,56536}] = 78460, -- Fouet éclair
  [{67084,56551}] = 78478, -- Armure de jambe calcinécaille
  [41094] = 57033, -- Glyphe de réprimande
  [43390] = 58337, -- Glyphe de consomption d\'âme
  [{52433,52289}] = 73464, -- Dessin : Diamant ombresprit vif
  [{83811,76884}] = 107753, -- Dessin : Diamant primordial adepte
  [{83840,76890}] = 107757, -- Dessin : Diamant primordial de destruction
  [{83844,76879}] = 107759, -- Dessin : Diamant primordial brasillé
  [{83859,76887}] = 107763, -- Dessin : Diamant primordial vif
  [{83865,76568}] = 107640, -- Dessin : Héliolite cassée
  [{83886,76675}] = 107725, -- Dessin : Onyx vermillon transparent
  [{83933,83795}] = 122663, -- Dessin : Pierre sournoise de divination
  [{83969,76557}] = 107638, -- Dessin : Pierre sournoise intemporele
  [{87410,87402}] = 126852, -- Plans : Harnois de bataille du maître orné
  [{87745,77538}] = 127122, -- Schéma : Armure rétinienne spécialisée
  [93421] = 137908, -- Cape de prouesse artisanale du gladiateur effroyable (name collision)
  [93608] = 137937, -- Cape de prouesse artisanale du gladiateur effroyable (name collision)
  [{87754,87216}] = 127131, -- Enclume thermique (name collision)
  [94903] = 139196, -- Enclume thermique / Pierre (name collision)
} elseif locale == "deDE" then Exceptions_ItoS_locale = {
  [{8400,8207,72027}] = 10564, -- Muster: Feste Skorpidschultern (Tough Scorpid Shoulders)
  [{22530,38899}] = 27906, -- Groes Ausweichen (Bracer Dodge)
  [28104] = 33741, -- Elixier des Meisters (Mastery Elixer), name collision
  [58148] = 80497, -- Elixier des Meistersi (Elixer of the Master), name collision
  [40087] = 53904, -- Mchtiger Verjngungstrank (Powerful Rejuv Potion), name collision
  [57193] = 80490, -- Mchtiger Verjngungstrank (Mighty Rejuv Potion), name collision
  [{3609,3471}]  = 3321,   -- Kupferne Kettenweste -> Kupferkettenweste (Copper Chain Vest)
  [{6672,4852}]  = 8243,   -- Bauplan: Blitzbombe -> Blitzstrahlbombe (Flash Bomb)
  [{22554,38919}] = 27971, -- Zweihandwaffe - Unbndigkeit (Enchant 2H Weapon Savagery)
  [{22558,38926}] = 28003, -- Waffe - Zauberflut (Enchant Weapon - Spellsurge)
  [{25869,25867}] = 32765, -- Erdsturmdiamanten transmutieren / Erdsturmdiamant (Earthstorm Diamond)
  [{25870,29232,25868}] = 32766, -- Himmelsfeuerdiamanten transmutieren / Himmelsfeuerdiamant (Skyfire Diamond - Faction-specific)
  [{25906,25899}] = 32869, -- Brutaler Erdsturmdiamant / Grober Erdsturmdiamant (Brutal Earthstorm)
  [{28271,38932}] = 33994, -- Handschuhe - Przise Ste / Przise Schlge (Enchant Gloves - Precise Strikes)
  [{29701,29497}] = 35534, -- Verzauberte Grollschuppenstiefe (Enchanted Clefthoof Boots)
  [{34872,22449}] = 45765, -- Formel: Brechung der Leere
  [{35697,35700}] = 46777, -- Vorlage: Figur - Scharlachrote Schlange
  [{35212,34372}] = 46132, -- Lederstulpen der Sonne (Leather Gauntlets of the Sun)
  [{35498,38998}] = 46578, -- Waffe - Todesklte (Enchant Weapon - Deathfrost)
  [38679] = 7418,  -- Armschienenverzauberung - Geringe Gesundheit (Enchant Bracer - Minor Health)
  [38985] = 44612, -- Handschuhverzauberung - Groe Zauberwucht (Enchant Gloves - Greater Blasting)
  [{43318,43251}] = 58148, -- Ring des scharlachroten Schattens / Ring der scharlachroten Schatten (Ring of Scarlet Shadows)
  [{44494,38972}] = 44576, -- Formel: Waffe - Lebenswchter / Lebensschutz (Enchant Weapon - Lifeward)
  [{44495,43987}] = 59625, -- Waffe - Schwarzmagie (Enchant Weapon Black Magic)
  [44946] = 62257, -- Waffe - Titanwchter (Titanguard, unreleased)
  [{49958,49894}] = 70555, -- Gesegnete Cenarionstiefel (Blessed Cenarion Boots)
  [{52733,52774}] = 74242, -- Waffe - Machststrom (Enchant Weapon - Power Torrent)
  [{66117,55071}] = 76456, -- Blutige Pyriumarmschienen (Bloodied Pyrium Bracers)
  [{66130,55084}] = 76470, -- Verzierte Pyriumbeinschtzer (Ornate Pyrium Legguards)
  [{67042,70030}] = 78444, -- Muster: Butrnstige Wyrmbalgarmschienen (Bloodthirsty Wyrmhide Bracers)
  [{67541,54451}] = 75289, -- Zylinder der oberen Zehntausend (High Society Top Hat)
  [{71965,52489}] = 73623, -- Vorlage: Strassbesetzte Sonnenbrille (Rhinestone Sunglasses)
  [{83916,83802}] = 122669, -- Vorlage: Spiegelung des Meeres
  [{83979,76545}] = 107667, -- Vorlage: Eigenwilliger Chiatolith
  [{84149,72104}] = 114780, -- Rezept: Lebendigen Stahl transmutieren
  [{84557,74705}] = 104391, -- [Enchant Bracer - Greater Agility]
  [{84558,74701}] = 104385, -- [Enchant Bracer - Major Dodge]
  [{84559,74703}] = 104389, -- [Enchant Bracer - Super Intellect]
  [{84560,74700}] = 104338, -- [Enchant Bracer - Mastery]
  [{84561,74704}] = 104390, -- [Enchant Bracer - Exceptional Strength]
  [42904] = 57001,  -- Glyphe 'Rckzug' (Glyph of Disengage)
  [87896] = 124463, -- Glyphe 'Rckzug' (Glyph of Retreat)
  [43390] = 58337, -- Glyphe \'Seelenverzehrung\'
  [41107] = 57021, -- Glyphe \'Mahnende Worte\'
  [42398] = 57184, -- Glyphe \'Verblassen\'
  [79514] = 124461, -- Glyph of Shadow Word: Death
  [79515] = 124460, -- Glyph of Vampiric Embrace
  [79538] = 124466, -- Glyph of the Heavens
  [93488] = 137851, -- Hergestellter Grausamkeitstaillenschutz des schrecklichen Gladiators (name collision)
  [93589] = 137877, -- Hergestellter Grausamkeitstaillenschutz des schrecklichen Gladiators (name collision)
  [{95470,95469}] = 140050, -- Design: Serpent\'s Heart
} elseif locale == "koKR" then Exceptions_ItoS_locale = {
  [38806] = 13635, -- Enchant Cloak - Defense (name collision)
  [52763] = 74229, -- Enchant Bracer - Superior Dodge (name collision)
  [40087] = 53904, -- Powerful Rejuv Potion (name collision)
  [42966] = 57125, -- Glyph of Gouge (name collision)
  [43827] = 59340, -- Glyph of Death Strike (name collision)
  [38371] = 50964, -- Jormungar Leg Armor (name collision)
  [38403] = 50947, -- Arctic Gloves (name collision)
  [{67084,56551}] = 78478, -- Charscale Leg Armor (name collision)
  [fakeid()] = 60584, -- Nerubian Leg Reinforcements (name collision)
  [34763] = 45564, -- Smoked Salmon (name collision)
  [42397] = 57183, -- Glyph of Purify
  [{35505,35503}] = 46601, -- Design: Ember Skyfire Diamond (ember misnamed in spell)
  [{41706,41333}] = 55392, -- Design: Ember Skyflare Diamond
  [{52439,52296}] = 73470, -- Design: Ember Shadowspirit Diamond
  [{84563,74706}] = 104392, -- [Formula: Enchant Chest - Super Resilience]
  [{28270,38930}] = 33992, -- [Formula: Enchant Chest - Major Resilience]
  [{4292,4241}] = 3758, -- Pattern: Green Woolen Bag
  [{18731,18662}] = 23190, -- Pattern: Heavy Leather Ball
  [{35218,34369}] = 46138, -- Pattern: Carapace of Sun and Shadow
  [{84558,74701}] = 104385, -- [Enchant Bracer - Major Dodge]
  [43380] = 58328, -- Glyph of Poisons
  [43390] = 58337, -- Glyph of Soul Consumption
  [{50166,50045}] = 71101, -- Glyph of Counterspell
  [{68810,63481}] = 89815, -- Glyph of Colossus Smash
  [38951] = 44484, -- Enchant Gloves - Expertise
  [38989] = 44623, -- Enchant Chest - Super Stats
} elseif locale == "ruRU" then Exceptions_ItoS_locale = {
  [38829] = 13822, -- Enchant Bracer - Intellect (name collision)
  [38968] = 44555, -- Enchant Bracer - Exceptional Intellect (name collision)
  [43369] = 58316, -- Glyph of Justice (name collision)
  [41092] = 57030, -- Glyph of Judgement (name collision)
  [68776] = 96253, -- Quicksilver Alchemist Stone (ticket 53: real hash coll?)
  [38971] = 60616, -- Enchant Bracer - Assault (hash collision)
  [{11163,38811}] = 13646, -- Enchant Bracer - Lesser Dodge (hash collision)
  -- scrolls with different roman numeral suffixes
  [38777] = 7779, -- [Enchant Bracer - Minor Agility]
  [{11081,38791}] = 13464, -- [Enchant Shield - Lesser Protection]
  [{22530,38899}] = 27906, -- [Enchant Bracer - Greater Dodge]
  [{22539,38905}] = 27945, -- [Enchant Shield - Intellect]
  [38914] = 27961,  -- Enchant Cloak - Major Armor (wrong roman suffix)
  [38928] = 33990, -- [Enchant Chest - Major Spirit]
  [{35500,38999}] = 46594, -- [Enchant Chest - Dodge]
  [{44471,39001}] = 47672, -- [Enchant Cloak - Mighty Stamina]
  [{44484,44815}] = 44575, -- [Enchant Bracer - Greater Assault]
  [45628] = 63746, -- [Enchant Boots - Lesser Accuracy]
  -- Most of these are caused by minor differences in Russian word suffixes:
  [{12958,12360}] = 17187, -- Transmute Arcanite
  [{20761,7068}]  = 25146, -- Transmute Elemental Fire
  [{21940,21756}] = 26873, -- Golden Hare
  [{21941,21758}] = 26875, -- Black Pearl Panther
  [{21943,21760}] = 26881, -- Truesilver Crab
  [{21949,21769}] = 26900, -- Ruby Serpent
  [{21953,21777}] = 26909, -- Emerald Owl
  [{21955,21784}] = 26912, -- Black Diamond Crab
  [{21956,21789}] = 26914, -- Dark Iron Scorpid
  [{24180,31358,24125}] = 31080, -- Dawnstone Crab (alliance/horde pat)
  [{24181,24126}] = 31081, -- Living Ruby Serpent
  [{24182,24127}] = 31082, -- Talasite Owl
  [{24183,24128}] = 31083, -- Nightseye Panther
  [{25869,25867}] = 32765, -- Earthstorm Diamond
  [{25870,29232,25868}] = 32766, -- Skyfire Diamond (alliance/horde pat)
  [{69972,69950}] = 99456, -- Footwraps of Quenched Fire
  [{70167,70156}] = 99653, -- Masterwork Elementium Spellblade
  [{72000,71981}] = 101920, -- World Mender's Pants
  [{72003,71990}] = 101922, -- Dreamwraps of the Light
  -- mop conflicts:
  [{87746,77539}] = 127123, -- Schematic: Reinforced Retinal Armor
  [{86374,82443}] = 125553, -- Pattern: Cerulean Spellthread
  [{84558,74701}] = 104385, -- Enchant Bracer - Major Dodge
  [89737] = 130758, -- Enchant Shield - Greater Parry
  [41107] = 57021, -- Glyph of Harsh Words
  [43390] = 58337, -- Glyph of Soul Consumption
  [44928] = 62162, -- Glyph of Master Shapeshifter
  [{86354,82423}] = 125533, -- Pattern: Contender\'s Silk Raiment
  [{86362,82431}] = 125541, -- Pattern: Contender\'s Satin Raiment
  -- mop transmutes with minor difference in word suffixes:
  [{84125,76142}] = 114778, -- Recipe: Transmute Sun\'s Radiance
  [{84126,76140}] = 114776, -- Recipe: Transmute Vermilion Onyx
  [{84148,76141}] = 114777, -- Recipe: Transmute Imperial Amethyst
  [{84149,72104}] = 114780, -- Recipe: Transmute Living Steel
  [{84150,76132}] = 114781, -- Recipe: Transmute Primal Diamond
  [{84151,76131}] = 114784, -- Recipe: Transmute Primordial Ruby
  [{84152,76138}] = 114766, -- Recipe: Transmute River\'s Heart
  [{84153,72095}] = 114783, -- Recipe: Transmute Trillium Bar
  [{84154,76139}] = 114767, -- Recipe: Transmute Wild Jade
  [52767] = 74234, -- [Enchant Cloak - Protection]
  [74711] = 104401, -- [Enchant Cloak - Greater Protection]
  [{83961,76637}] = 106948, -- Design: Stormy River\'s Heart
} elseif locale == "esES" then Exceptions_ItoS_locale = {
  [{8029,7943}] = 9997, -- Diseño: hoja de mitril maligna
  [{13946,13932}] = 18244, -- Receta: salmón escama de sol pochado
  [39005] = 47900, -- Pergamino de Encantar pechera: súper salud
  [38827] = 13815, -- Encantar guantes: agilidad (Enchant Gloves - Agility), name collision
  [fakeid()] = 74216, -- Encantar guantes: agilidad (Enchant Ring - Agility), name collision
  [{2598,2572}] = 2389,  -- toga de lino rojo (Red Linen Robe)
  [{6044,6042}] = 7221,  -- escudo con punta de hierro (Iron Shield Spike)
  [{6329,6316}] = 7754,  -- delicia de furia de Loch Modan (Loch Frenzy Delight)
  [{6349,38781}] = 7793, -- encantar arma de 2M: intelecto inferior (2H weapon lesser intellect)
  [{21915,21872}] = 26759, -- Patrn: bolsa de Sombra de bano
  [{23634,23546}] = 29697, -- gran maza endurecida vil (Fel Hardened Maul)
  [{24160,24082}] = 31055, -- sortija de korio del inferno (Khorium Inferno Band)
  [{24295,24276}] = 31433, -- hilo de hechizo dorado (Golden Spellthread)
  [{27688,27655}] = 33284, -- perrito de devastador (Ravager Dog)
  [{29730,29512}] = 35567, -- botas de escamas abisales de terrneo (Earthen Netherscale Boots)
  [{30307,30045}] = 36358, -- botas de halcn carmes (Boots of the Crimson Hawk)
  [{35192,35184}] = 46110, -- gafas armonizadas con primordial (Primal-Attuned Goggles)
  [{35193,34355}] = 46112, -- gafas de grabados de relmpagos (Lightning Etched Specs)
  [38986] = 60623, -- caminante del hielo (Icewalker)
  [{43029,43004}] = 57435, -- aperitivos para alimaas (Critter Bites)
  [{43505,43478}] = 58527, -- festn gigantesco (Gigantic Feast)
  [{44483,44463}] = 60691, -- arma de 2M: masacre (2H weapon massacre)
  [44563] = 57701, -- forro de pelaje de resistencia a lo Arcano (Fur Lining Arcane Resist)
  [{45089,45559}] = 63188, -- botas de placas de seor de batalla (Battlelord's Plate Boots)
  [49112] = 68253, -- fragmento de pesadilla (Nightmare Tear)
  [{65408,62673}] = 88017, -- cebo con plumas (feathered lure)
  [{66105,55059}] = 76444, -- faja de elementium endurecida (Hardened Elementium Girdle)
  [{66130,55084}] = 76470, -- leotardos de pirium ensangrentados (Bloodied Pyrium Legguards)
  [{66122,55076}] = 76462, -- Diseño: leotardos de pirium ensangrentados
  [{67084,56551}] = 78478, -- armadura para pierna de escamas de carbn (Charscale Leg Armor)
  [{67603,67602}] = 94718, -- cercenatripas de elementium (Elementium Gutslicer)
  [{69959,69938}] = 99441, -- Diseo: guanteletes de llamas sagradas (Holy Flame Gauntlets)
  [{71911,71846}] = 101767, -- Boceto: coral de lava de adepto (hash collision)
  [{71908,71843}] = 101764, -- Boceto: coral de lava con inscripciones
  [{72001,71982}] = 101924, -- Diseo: quijotes de pirium de maldad purificada
  [{72016,71993}] = 101932, -- Diseo: muequeras de placas con proteccin de titanes
  [{83956,76532}] = 107663, -- Boceto: palo tigre de adepto (Design: Stalwart Tiger Opal)
  [{83809,76538}] = 107645, -- Boceto: palo tigre adepto (Design: Adept Tiger Opal)
  [{83810,76670}] = 107715, -- Boceto: nice bermelln de adepto (Design: Adept Vermilion Onyx)
  [{83957,76664}] = 107733, -- Boceto: nice bermelln adepto (Design: Stalwart Vermilion Onyx)
  [{22540,38906}] = 27946, -- [Encantar escudo: parada]
  [{64411,52781}] = 74252, -- [Encantar botas: pasos del asesino]
  [{84566,74711}] = 104401, -- [Encantar capa: protección superior]
  [45753] = 64280, -- Glifo de Dispersin (Glyph of Dispersion)
  [42914] = 57011, -- Glifo de Dispersin (Glyph of Scattering)
  [89868] = 131152, -- Glifo del guepardo
  [41107] = 57021, -- Glifo de Duras palabras
  [43390] = 58337, -- Glifo de Consumo de alma
  [{84186,82960}] = 122633, -- Diseño: llave de esqueleto fantasma
  [{86285,85559}] = 124628, -- Patrón: refuerzo de armadura de sha
  [{86354,82423}] = 125533, -- Patrón: vestiduras de seda de contendiente
  [{86362,82431}] = 125541, -- Patrón: vestiduras de satén de contendiente
  [{87751,86607}] = 127128, -- Esquema: lanzallamas goblin, versión 2
} elseif locale == "ptBR" then Exceptions_ItoS_locale = {
  [40079] = 53899, -- Lesser Flask of Toughness (hash collision)
  [34440] = 45061, -- Mad Alchemist's Potion (hash collision)
  [45753] = 64280, -- Glifo de Dispersao (Glyph of Dispersion)
  [42914] = 57011, -- Glifo de Dispersao (Glyph of Scattering)
  [{2601,2585}] = 2403, -- Molde: Veste de L Cinza
  [{4624,4623}] = 4942, -- Receita: Poo de Escudoptreo Inferior
  [{5643,5633}] = 6618, -- Receita: Poo Grandiosa de Raiva
  [{5772,5763}] = 6688, -- Molde: Bolsa de L Vermelha
  [{6270,6240}] = 7630, -- Molde: Colete de Linho Azul
  [{6271,6239}] = 7629, -- Molde: Colete de Linho Vermelho
  [{6272,6242}] = 7633, -- Molde: Veste de Linho Azul
  [{6330,4593}] = 7755, -- Receita: Bagre de Bigode Cerdoso
  [{12838,12784}] = 16994, -- Instrues: Retalhador de Arcanita
  [{12839,12783}] = 16995, -- Instrues: Acerta-peito
  [{13490,13455}] = 17570, -- Receita: Poo de Escudoptreo Maior
  [{15730,15047}] = 19054, -- Molde: Peitoral de Escama de Drago Vermelh(oa)
  [{22309,22249}] = 27660, -- Molde: Grande Bolsa de Encantamentos
  [{37340,38975}] = 44588, -- Encantamento Maior de Resilincia - Torso
  [{37345,38964}] = 44513, -- Frmula: Encantamento Maior de Ataque - Luvas
  [40913] = 56955, -- Glifo de Rejuvenescimento
  [41101] = 57019, -- Glifo de Escudo Focalizado
  [42955] = 57113, -- Glifo de Emboscar
  [43331] = 58288, -- Glifo de Florescer
  [43365] = 58311, -- Glifo de Contemplação
  [43390] = 58337, -- Glifo de Consumição da Alma
  [43395] = 58342, -- Glifo de Grito Místico
  [44922] = 56965, -- Glifo de Cinturão Estelar
  [45741] = 64277, -- Glifo de Sinalizador de Luz
  [45745] = 64305, -- Glifo de Súplica Divina
  [45756] = 64282, -- Glifo de Contrição
  [45776] = 64262, -- Glifo de Fúria Xamanística
  [{44490,44469}] = 60763, -- Frmula: Encantamento Maior de Assalto  Botas
  [{41582,41785,41796,40044}] = 53980, -- Desenho: Opala-do-crepúsculo Irisado
  [{41696,41782,40100}] = 54009, -- Desenho: Esmeralda-da-floresta Fulgurante
  [{46909,46907,40177}] = 66439, -- Desenho: Olho-de-zul Fulgurante
  [{65412,62651}] = 88028, -- Receita: Tocaie(i)ro Mal Passado
  [{66098,55052}] = 76437, -- Plans: Obsidium Executioner
  [{66106,55060}] = 76445, -- Plans: Elementium Deathplate
  [{66112,55066}] = 76451, -- Plans: Elementium Poleaxe
  [{67083,56549}] = 78476, -- Pattern: Twilight Dragonscale Cloak
  [{67538,65891}] = 93328, -- Receita: Ampola das Areias
  [{69963,69943}] = 99447, -- Molde: Luvas Celestiais da Lua
  [{69972,69950}] = 99456, -- Molde: Palmilhas do Fogo Apagado
  [{69975,69953}] = 99459, -- Molde: Chancas do Sonho Eterno
  [{70171,70163}] = 99657, -- Instruções: Guardião Inquebrável
  [{70172,70164}] = 99658, -- Instruções: Adaga Mortal de Elemêntio Magistral
  [{70173,70165}] = 99660, -- Instruções: Ceifador(a) do Caçador de Bruxas
  [{52373,52110}] = 73263,  -- Desenho: Hessonita Potente ??
  [{68359,68356}] = 95754,  --  Desenho: Topzio Incandescente Arisco
  [{71900,71835}] = 101756, -- Desenho: Peridoto lfico Rgio ??
  [fakeid()] = 109077, -- Lanador de Fogos de Artifcio (conflicts with 26442, fireworks launcher)
  [{87745,77538}] = 127122, -- Diagrama: Armadura Retinal Especializada
  [{87746,77539}] = 127123, -- Diagrama: Armadura Retinal Reforçada
  [85698] = 124454, -- Glifo de Flor Cospe-fogo
  [85699] = 124455, -- Glifo de Névoa Ascendente
  [87902] = 127625, -- Glifo de Nascente de Luz
  [{37337,38987}] = 44616, -- [Enchant Bracer - Greater Stats]
  [68134] = 95471, -- [Enchant 2H Weapon - Mighty Agility]
  [{84558,74701}] = 104385, -- [Enchant Bracer - Major Dodge]
  [{84569,74712}] = 104403, -- [Enchant Cloak - Superior Intellect]
  [{84570,74720}] = 104417, -- [Enchant Gloves - Superior Expertise]
  [{84127,76094}] = 114751, -- Receita: Rejuvenescer do Alquimista
  [{85505,85504}] = 124032, -- Receita: Fritada de Krasarang
  [{86246,85795}] = 124615, -- Molde: Coxotes de Escama de Dragão do Combatente
  [{86354,82423}] = 125533, -- Molde: Vestes de Seda do Competidor
  [{86362,82431}] = 125541, -- Molde: Veste de Cetim do Competidor
  [{86368,82437}] = 125547, -- Molde: Grã-veste do Torce-feitiços
  [{86380,86313}] = 125559, -- Molde: Luvas de Seda Imperial
  [{90531,86599}] = 131928, -- Instruções: Espigão de Escudo de Ferro Fantasmagórico
  [89674] = 130658, -- Ametista Imperial Macia (renamed cut)
  [95366] = 139760, -- Treinamento de Projeto: Panela de Ferro Fantasma (name collision)
  [95485] = 140167, -- Treinamento de Projeto: Panela de Ferro Fantasma (name collision)
  [93202] = 135561, -- Glifo de Harmonização com Portal
} elseif locale == "zhCN" then Exceptions_ItoS_locale = {
  -- hash conflicts
  [{13308,4386}] = 3957, -- Ice Deflector
  [38833] = 13858, -- Enchant Chest Superior Health
  [22664] = 28222, -- Icy Scale Breastplate
  [42398] = 57184, -- Glyph of Fade
  [42739] = 56975, -- Glyph of Combustion
  [42959] = 57117, -- Glyph of Recuperate
  [42962] = 57121, -- Glyph of Expose Armor
  [42969] = 57128, -- Glyph of Rupture
  [42898] = 56995, -- Glyph of Camouflage
  [45764] = 64286, -- Glyph of Stealth
  [41515] = 55903, -- Frostwoven Robe
  [44211] = 55904, -- Frostwoven Gloves
  [22669] = 28242, -- Icebane Breastplate
  [{52382,52122}] = 73275, -- Design: Piercing Jasper (spellname ambiguity)
  [{52388,52127}] = 73280, -- Design: Zen Jasper
  [79257] = 112045, -- Runescroll of Fortitude III
  [74247] = 116498, -- Ethereal Shard
  [{83788,82976}] = 122650, -- Plans: Ghost Reaver\'s Gauntlets
  -- transmutes whose spellname is nothing like the recipe
  [{9305,6037}] = 11480, -- Recipe: Transmute Mithril to Truesilver
  [{22918,22451}] = 28569, -- Recipe: Transmute Primal Water to Air
  [{22915,21884}] = 28566, -- Recipe: Transmute Primal Air to Fire
  [{22916,21885}] = 28567, -- Recipe: Transmute Primal Earth to Water
  [{22917,30443,22452}] = 28568, -- Recipe: Transmute Primal Fire to Earth
  -- misc recipe name failures
  [{728,733}] = 2543, -- Recipe: Westfall Stew
  [{3612,3485}] = 3336, -- Plans: Green Iron Gauntlets
  [{3678,3662}] = 3370, -- Recipe: Crocolisk Steak
  [{3734,3726}] = 3397, -- Recipe: Big Bear Steak
  [{3830,3825}] = 3450, -- Recipe: Elixir of Fortitude
  [{5484,5474}] = 6414, -- Recipe: Roasted Kodo Meat
  [{6039,6038}] = 7213, -- Recipe: Giant Clam Scorcho
  [{6710,6709}] = 8322, -- Pattern: Moonglow Vest
  [{12718,12613}] = 16731, -- Plans: Runic Breastplate
  [{12824,12776}] = 16973, -- Plans: Enchanted Battlehammer
  [{12830,12782}] = 16985, -- Plans: Corruption
  [{13476,13442}] = 17552, -- Recipe: Mighty Rage Potion
  [{14468,14046}] = 18405, -- Pattern: Runecloth Bag
  [{15751,15048}] = 19077, -- Pattern: Blue Dragonscale Breastplate
  [{15753,15056}] = 19079, -- Pattern: Stormshroud Armor
  [{15758,15063}] = 19084, -- Pattern: Devilsaur Gauntlets
  [{15763,15049}] = 19089, -- Pattern: Blue Dragonscale Shoulders
  [{17200,17197}] = 21143, -- Recipe: Gingerbread Cookie
  [{18418,18413}] = 22870, -- Pattern: Cloak of Warding
  [{18592,17193}] = 21161, -- Plans: Sulfuron Hammer
  [{18650,18588}] = 23069, -- Schematic: EZ-Thro Dynamite II
  [{18652,18634}] = 23077, -- Schematic: Gyrofreeze Ice Reflector
  [{18654,18645}] = 23096, -- Schematic: Gnomish Alarm-o-Bot
  [{21913,21871}] = 26758, -- Pattern: Frozen Shadoweave Robe
  [{22774,22756}] = 28480, -- Pattern: Sylvan Vest
  [{23632,23543}] = 29695, -- Plans: Felsteel Reaper
  [{24173,24123}] = 31078, -- Design: Circlet of Arcane Might
  [{30306,30039}] = 36357, -- Pattern: Boots of Utter Darkness
  [{31401,31398}] = 38503, -- Design: The Frozen Eye
  [{31680,31679}] = 38960, -- Recipe: Fel Strength Elixir
  [{41705,41377}] = 55384, -- Design: Shielded Skyflare Diamond
  [{21723,44917,21542}] = 26407, -- Pattern: Festival Suit
  [{46108,45854}] = 64051, -- Technique: Rituals of the New Moon
  [{49963,49896}] = 70559, -- Pattern: Earthsoul Boots
  [{54594,75072}] = 75307, -- Pattern: Vicious Embersilk Pants
  [{54601,54504}] = 75298, -- Pattern: Belt of the Depths
  [{66082,55031}] = 76269, -- Plans: Redsteel Helm
  [{66088,55037}] = 76286, -- Plans: Stormforged Shoulders
  [41096] = 57022, -- Glyph of Divine Protection
  [41106] = 57029, -- Glyph of Divine Favor
  [41529] = 57237, -- Glyph of Fire Elemental Totem
  [41541] = 57251, -- Glyph of Water Shield
  [42456] = 57260, -- Glyph of Bane of Agony
  [43359] = 58306, -- Glyph of Conjuring
  [43372] = 58321, -- Glyph of Shadow Protection
  [45623] = 64256, -- Glyph of Barkskin
  [63416] = 95710, -- Glyph of Armors
  [18260] = 22750, -- Formula: Enchant Weapon - Healing Power
  [16247] = 20030, -- Formula: Enchant 2H Weapon - Superior Impact
  [16254] = 20032, -- Formula: Enchant Weapon - Lifestealing
  [19447] = 23802, -- Formula: Enchant Bracer - Healing Power
  [22532] = 27913, -- Formula: Enchant Bracer - Restore Mana Prime
  [22544] = 27951, -- Formula: Enchant Boots - Dexterity
  [{11206,71714}] = 13882, -- Formula: Enchant Cloak - Lesser Agility
  [{11151,78343}] = 13617, -- Formula: Enchant Gloves - Herbalism
  [11098] = 13522, -- Formula: Enchant Cloak - Lesser Shadow Resistance
  [11207] = 13898, -- Formula: Enchant Weapon - Fiery Weapon
  [11224] = 13933, -- Formula: Enchant Shield - Frost Resistance
  [11226] = 13947, -- Formula: Enchant Gloves - Riding Skill
} elseif locale == "zhTW" then Exceptions_ItoS_locale = {
  -- hash conflicts
  [67484] = 94402, -- Glyph of Lacerate
  [58148] = 80497, -- Elixer of the Master
  -- misc naming failures
  [63416] = 95710, -- Glyph of Armors
  [42898] = 56995, -- Glyph of Camouflage
  [43356] = 58298, -- Glyph of Scare Beast
  [43359] = 58306, -- Glyph of Conjuring
  [45764] = 64286, -- Glyph of Stealth
  [87901] = 112458, -- Glyph of Uplift
  [41097] = 57028, -- Glyph of Templar\'s Verdict
  [41104] = 57020, -- Glyph of Final Wrath
  [42456] = 57260, -- Glyph of Verdant Spheres
  [42914] = 57011, -- Glyph of Scattering
  [42961] = 57120, -- Glyph of Debilitation
  [43390] = 58337, -- Glyph of Soul Consumption
  [43547] = 57220, -- Glyph of Enduring Infection
  [43825] = 59338, -- Glyph of Unholy Command
  [85695] = 124451, -- Glyph of Zen Meditation
  [87392] = 126800, -- Glyph of Shadowy Friends
  [{23135,23098}] = 28910, -- [Inscribed Flame Spessarite]
  [{24213,24058}] = 31106, -- [Inscribed Noble Topaz]
  [{41818,40058}] = 53994, -- [Accurate Twilight Opal]
  [{52364,52088}] = 73229, -- [Stormy Zephyrite]
  [{52367,52099}] = 73244, -- [Guardian\'s Nightstone]
  [{52371,52108}] = 73260, -- [Inscribed Hessonite]
  [{52373,52110}] = 73263, -- [Potent Hessonite]
  [{52438,52295}] = 73469, -- [Effulgent Shadowspirit Diamond]
  [{68359,68356}] = 95754, -- [Willful Ember Topaz]
  [{71907,71842}] = 101763, -- [Potent Lava Coral]
  [{86374,82443}] = 125553, -- Pattern: Cerulean Spellthread
  [38775] = 7771, -- [Enchant Cloak - Minor Protection]
  [38790] = 13421, -- [Enchant Cloak - Lesser Protection]
  [{11081,38791}] = 13464, -- [Enchant Shield - Lesser Protection]
  [{11168,38820}] = 13689, -- [Enchant Shield - Lesser Parry]
  [38960] = 44506, -- [Enchant Gloves - Gatherer]
  [{44496,44497}] = 59619, -- [Enchant Weapon - Accuracy]
  [{50406,50816}] = 71692, -- [Enchant Gloves - Angler]
  [52748] = 74197, -- [Enchant Weapon - Avalanche]
  [52768] = 74235, -- [Enchant Off-Hand - Superior Intellect]
  [{84554,74715}] = 104407, -- [Enchant Boots - Greater Haste]
  [{84555,74716}] = 104408, -- [Enchant Boots - Greater Precision]
  [{84553,74717}] = 104409, -- [Enchant Boots - Blurred Speed]
  [{84556,74718}] = 104414, -- [Enchant Boots - Pandaren\'s Step]
} elseif locale == "itIT" then Exceptions_ItoS_locale = {
  [90397] = 131688, -- Wild Jade Research
  [41107] = 57021, -- Glyph of Harsh Words
  [43390] = 58337, -- Glyph of Soul Consumption
  [45771] = 64288, -- Glyph of Feral Spirit
  [77101] = 107907, -- Glyph of Shadow
  [85696] = 124452, -- Glyph of Renewing Mists
  [79514] = 124461, -- Glyph of Shadow Word: Death
  [79515] = 124460, -- Glyph of Vampiric Embrace
  [79538] = 124466, -- Glyph of the Heavens
  [52768] = 74235, -- [Enchant Off-Hand - Superior Intellect]
  [{84565,74709}] = 104397, -- [Enchant Chest - Superior Stamina]
}
end

-- then the locale-independent stuff
vars.Exceptions_ItoS = {

  -- misc misspellings (language-independent)
  [{21737,44918,21570}] = 26443, -- (Firework) Cluster Launcher, multiple recipes
  [{50168,50077}] = 71102, -- Glyph of Quick Decay / Glyph of Lash of Pain
  [42417] = 57202, -- Glyph of Prayer of Mending / Glyph of Spirit of Redemption
  [45760] = 64259, -- Glyph of Desperation / Glyph of Pain Suppression
  [{16248,38872}] = 20033, -- Enchant Weapon - Unholy (Weapon)
  [{44473,38981}] = 44595, -- Enchant (2H) Weapon - Scourgebane
  [43339] = 58303, -- Glyph of Arcane Intellect / Brilliance
  [44455] = 60653, -- Shield Enchant - Intellect III (name never updated on several locales)
  [{87751,86607}] = 127128, -- Schematic: Goblin Flame Thrower, Mark II
  [{86239,85851}] = 124635, -- Pattern: Cloak of the Mists
  [{94570,94575}] = 138876, -- Plans: (The) Planar Edge, Reborn

  -- misc name collisions to disambiguate
  [42457] = 57261, -- Glyph of Death Coil, Warlock (crafted itemid - no pat)
  [45804] = 64266, -- Glyph of Death Coil, DK (crafted itemid - no pat)
  [40906] = 56960, -- Glyph of Stampede, Druid 
  [43356] = 58298, -- Glyph of Stampede, Hunter
  [{47020,47023,40150,40159}] = 66584, -- Deft Ametrine, this pattern has been a mess since wrath
  [41544] = 55924, -- Duskweave Boots, conflicts with an unreleased recipe (crafted itemid - no pat)
  [41112] = 56465, -- Mechanized Snow Goggles (cloth)
  [44740] = 61481, -- Mechanized Snow Goggles (leather)
  [44741] = 61482, -- Mechanized Snow Goggles (mail)
  [44742] = 61483, -- Mechanized Snow Goggles (plate) 
  [{90470,82774}] = 131897, -- Jade Owl (pet)
  [21748] = 26872, -- Figurine: Jade Owl
  [{80585,85716}] = 112265, -- Glyph of (the) Righteous Retreat, duplicate glyph items

  -- cata
  [63276] = 86654, -- Forged Documents (Horde, fake itemid)
  [62056] = 89244, -- Forged Documents (Alliance, fake itemid)

  -- faction-specific thanksgiving recipes, with faction-specific trade spells
  -- that become a faction-independent crafted item RAWWWRRRR! (screw blizzard)
  [{46805,44840}] = 66035, -- cranberry chutney
  [{44858,44840}] = 62049, -- cranberry chutney
  [{46807,44838}] = 66037, -- slow roasted turkey 
  [{44861,44838}] = 62045, -- slow roasted turkey 
  [{46803,44837}] = 66038, -- spice bread stuffing
  [{44860,44837}] = 62050, -- spice bread stuffing
  [{44859,44839}] = 62051, -- candied sweet potato
  [{46806,44839}] = 66034, -- candied sweet potato  
  [{46804,44836}] = 66036, -- pumpkin pie
  [{44862,44836}] = 62044, -- pumpkin pie  

  -- ToC patterns, faction specific
  [{47654,47585}] = 67079, -- Bejeweled Wizard's Bracers
  [{47639,47586}] = 67145, -- Bejeweled Wizard's Bracers
  [{47629,47579}] = 67081, -- Black Chitin Bracers
  [{47646,47580}] = 67137, -- Black Chitin Bracers
  [{47635,47581}] = 67087, -- Bracers of Swift Death
  [{47647,47582}] = 67139, -- Bracers of Swift Death
  [{47622,47591}] = 67091, -- Breastplate of the White Knight
  [{47640,47592}] = 67130, -- Breastplate of the White Knight
  [{47631,47576}] = 67083, -- Crusader's Dragonscale Bracers
  [{47648,47577}] = 67143, -- Crusader's Dragonscale Bracers
  [{47630,47595}] = 67082, -- Crusader's Dragonscale Breastplate
  [{47649,47596}] = 67138, -- Crusader's Dragonscale Breastplate
  [{47628,47597}] = 67080, -- Ensorcelled Nerubian Breastplate
  [{47650,47598}] = 67136, -- Ensorcelled Nerubian Breastplate
  [{47634,47599}] = 67086, -- Knightbane Carapace
  [{47651,47600}] = 67142, -- Knightbane Carapace
  [{47632,47602}] = 67084, -- Lunar Eclipse Chestguard
  [{47652,47601}] = 67140, -- Lunar Eclipse Chestguard
  [{47655,47603}] = 67066, -- Merlin's Robe
  [{47638,47604}] = 67146, -- Merlin's Robe
  [{47633,47583}] = 67085, -- Moonshadow Armguards
  [{47653,47584}] = 67141, -- Moonshadow Armguards
  [{47656,47587}] = 67065, -- Royal Moonshroud Bracers
  [{47637,47588}] = 67147, -- Royal Moonshroud Bracers
  [{47657,47605}] = 67064, -- Royal Moonshroud Robe
  [{47636,47606}] = 67144, -- Royal Moonshroud Robe
  [{47623,47570}] = 67092, -- Saronite Swordbreakers
  [{47641,47571}] = 67131, -- Saronite Swordbreakers
  [{47627,47574}] = 67096, -- Sunforged Bracers
  [{47642,47575}] = 67135, -- Sunforged Bracers
  [{47626,47593}] = 67095, -- Sunforged Breastplate
  [{47643,47594}] = 67134, -- Sunforged Breastplate
  [{47624,47589}] = 67093, -- Titanium Razorplate
  [{47644,47590}] = 67132, -- Titanium Razorplate
  [{47625,47572}] = 67094, -- Titanium Spikeguards
  [{47645,47573}] = 67133, -- Titanium Spikeguards

  -- auto-upgrade patterns, rank ambiguity
  [fakeid()] = 102698, -- Heavy Windwool Bandage (rank 1)
  [72988]    = 102699, -- Heavy Windwool Bandage (rank 2)

  [fakeid()] = 55641,  -- Socket Gloves (rank 1)
  [fakeid()] = 114112, -- Socket Gloves (rank 2)
  [fakeid()] = 55628,  -- Socket Bracers (rank 1)
  [fakeid()] = 113263, -- Socket Bracers (rank 2)

  [fakeid()] = 82175,  -- Synapse Springs (rank 1)
  [fakeid()] = 126731, -- Synapse Springs (rank 2)

  [fakeid()] = 56034,  -- Master's Spellthread (rank 1)
  [fakeid()] = 75154,  -- Master's Spellthread (rank 2)
  [fakeid()] = 125496, -- Master's Spellthread (rank 3)
  [fakeid()] = 56039,  -- Sanctified Spellthread (rank 1)
  [fakeid()] = 75155,  -- Sanctified Spellthread (rank 2)
  [fakeid()] = 125497, -- Sanctified Spellthread (rank 3)
  [fakeid()] = 55642,  -- Lightweave Embroidery (rank 1)
  [fakeid()] = 75172,  -- Lightweave Embroidery (rank 2)
  [fakeid()] = 125481, -- Lightweave Embroidery (rank 3)
  [fakeid()] = 55769,  -- Darkglow Embroidery (rank 1)
  [fakeid()] = 75175,  -- Darkglow Embroidery (rank 2)
  [fakeid()] = 125482, -- Darkglow Embroidery (rank 3)
  [fakeid()] = 55777,  -- Swordguard Embroidery (rank 1)
  [fakeid()] = 75178,  -- Swordguard Embroidery (rank 2)
  [fakeid()] = 125483, -- Swordguard Embroidery (rank 3)

  [fakeid()] = 57683,  -- Fur Lining - Agility (rank 1)
  [fakeid()] = 85008,  -- Fur Lining - Agility (rank 2)
  [fakeid()] = 124551, -- Fur Lining - Agility (rank 3)
  [fakeid()] = 57691,  -- Fur Lining - Intellect (rank 1)
  [fakeid()] = 85010,  -- Fur Lining - Intellect (rank 2)
  [fakeid()] = 124552, -- Fur Lining - Intellect (rank 3)
  [fakeid()] = 57690,  -- Fur Lining - Stamina (rank 1)
  [fakeid()] = 85007,  -- Fur Lining - Stamina (rank 2)
  [fakeid()] = 124553, -- Fur Lining - Stamina (rank 3)
  [fakeid()] = 124549, -- Fur Lining - Strength (rank 1)
  [fakeid()] = 85009,  -- Fur Lining - Strength (rank 2)
  [fakeid()] = 124554, -- Fur Lining - Strength (rank 3)
  [fakeid()] = 124569, -- Draconic Leg Reinforcements (rank 1)
  [fakeid()] = 124566, -- Draconic Leg Reinforcements (rank 2)
  [fakeid()] = 124561, -- Draconic Leg Reinforcements (rank 3)
  [fakeid()] = 124568, -- Heavy Leg Reinforcements (rank 1)
  [fakeid()] = 124565, -- Heavy Leg Reinforcements (rank 2)
  [fakeid()] = 124563, -- Heavy Leg Reinforcements (rank 3)
  [fakeid()] = 124567, -- Primal Leg Reinforcements (rank 1)
  [fakeid()] = 124564, -- Primal Leg Reinforcements (rank 2)
  [fakeid()] = 124559, -- Primal Leg Reinforcements (rank 3)

}

if Exceptions_ItoS_locale then
  for k,v in pairs(Exceptions_ItoS_locale) do
    vars.Exceptions_ItoS[k] = v
  end
  Exceptions_ItoS_locale = nil
end

-- Recipes that remain in the Blizzard item database, 
-- but are unobtainable and have no corresponding profession bit
-- Currently only used for testing purposes
vars.DeadRecipes = {
 [2599]  = true, -- [Deprecated Pattern: Forest Silk Gloves]
 [6343]  = true, -- [Formula: Imbue Chest - Spirit]
 [14478] = true, -- [Pattern: Brightcloth Robe] (trainer pat now)
 [16051] = true, -- [Schematic: Thorium Shells] (removed 4.x)
 [16222] = true, -- [Formula: Enchant Shield - Superior Spirit] (changed to vitality in 3.1)
 [22537] = true, -- [Formula: Enchant Ring - Healing Power] (spell removed in MoP)
 [23885] = true, -- [Schematic: Remote Mail Terminal] (BC beta only, replaced by Moll-E)
 [24315] = true, -- [Pattern: Heavy Netherweave Net] Never deployed, bit removed in MoP
 [34126] = true, -- [Recipe: Shoveltusk Soup] (WoLTK recipe never released)
 [37337] = true, -- [Formula: Enchant Bracer - Greater Stats] (pat never released - trainer pat)
 [37338] = true, -- [Formula: Enchant Weapon - Greater Savagery] (pat never released, changed to 2H)
 [37348] = true, -- [Formula: Enchant Cloak - Haste] (pat never released - trainer pat)
 [38597] = true, -- [Pattern: Dark Arctic Boots] (pat never released, Black Chitinguard Boots - trainer pat)
 [39692] = true, -- [Recipe: Succulent Orca Stew] (WoLTK recipe never released)
 [42193] = true, -- [Pattern: Glacial Cord] (pat never released, deep frozen cord - trainer pat)
 [44918] = true, -- [Schematic: Cluster Launcher] (duplicate pattern - real pat is 21737)
 [47011] = true, -- [Design: Deadly Ametrine] (retired, real pat is 46949)
 [47023] = true, -- [Design: Deft Ametrine] (improperly removed in 4.x, real pat is 47020)
 -- JC patterns never deployed in cata (rare drop quest item instead)
 [52499] = true, -- [Design: Figurine - King of Boars]
 [52500] = true, -- [Design: Figurine - Demon Panther]
 [52501] = true, -- [Design: Figurine - Earthen Guardian]
 [52502] = true, -- [Design: Figurine - Jeweled Serpent]
 [52503] = true, -- [Design: Figurine - Dream Owl]
 -- LW patterns never deployed in cata (renamed to a diff set?)
 [67001] = true, -- [Pattern: Windbound Bracers]
 [67002] = true, -- [Pattern: Windbound Gloves]
 [67003] = true, -- [Pattern: Razorshell Bracers]
 [67004] = true, -- [Pattern: Razorshell Shoulders]
 [67005] = true, -- [Pattern: Shellscale Cloak]
 [67008] = true, -- [Pattern: Windbound Boots]
 [67009] = true, -- [Pattern: Razorshell Boots]
 [67012] = true, -- [Pattern: Windbound Belt]
 [67013] = true, -- [Pattern: Razorshell Gloves]
 [67016] = true, -- [Pattern: Windbound Shoulders]
 [67017] = true, -- [Pattern: Razorshell Belt]
 [67022] = true, -- [Pattern: Windbound Leggings]
 [67023] = true, -- [Pattern: Razorshell Helm]
 [67028] = true, -- [Pattern: Windbound Chest]
 [67030] = true, -- [Pattern: Razorshell Leggings]
 [67034] = true, -- [Pattern: Windbound Helm]
 [67035] = true, -- [Pattern: Razorshell Chest]
 -- Alc patterns never released in 4.3
 [71955] = true, -- [Recipe: Transmute Deepholm Iolite]
 [71956] = true, -- [Recipe: Transmute Elven Peridot]
 [71957] = true, -- [Recipe: Transmute Lightstone]
 [71958] = true, -- [Recipe: Transmute Lava Coral]
 [71959] = true, -- [Recipe: Transmute Shadow Spinel]
 [71960] = true, -- [Recipe: Transmute Queen's Garnet]
 -- Enchanting Rods removed in MoP
 [16243] = true, -- Formula: Runed Arcanite Rod
 [25846] = true, -- Plans: Adamantite Rod
 [25848] = true, -- Formula: Runed Adamantite Rod
 [25847] = true, -- Plans: Eternium Rod
 [25849] = true, -- Formula: Runed Eternium Rod
 [66134] = true, -- Plans: Elementium Rod
 [65359] = true, -- Formula: Runed Elementium Rod
 [84175] = true, -- Plans: Ghost Iron Rod
 -- Leatherworking patterns never released in MoP (renamed and changed to Misthide trainer pats)
 [86286] = true, -- [Pattern: Sha Leather]
 [86287] = true, -- [Pattern: Sha Leather Belt]
 [86288] = true, -- [Pattern: Sha Leather Boots]
 [86289] = true, -- [Pattern: Sha Leather Bracers]
 [86290] = true, -- [Pattern: Sha Leather Chestguard
 [86291] = true, -- [Pattern: Sha Leather Gloves]
 [86292] = true, -- [Pattern: Sha Leather Helm]
 [86293] = true, -- [Pattern: Sha Leather Leggings]
 [86294] = true, -- [Pattern: Sha Leather Shoulders] 
 -- JC patterns never released in MoP (renamed and changed to trainer pats)
 [83812] = true, -- [Design: Alexandrite Necklace]
 [83880] = true, -- [Design: Lapis Lazuli Band]
 -- Inscription pats never released in MoP
 [87830] = true, -- [Recipe: Tigersblood Tincture]
 -- Engineering pats never released in MoP
 [87756] = true, -- [Schematic: Steam-Filled Balloon]
 [90500] = true, -- [Schematic: Warbot]
 -- Cooking pats never released in MoP
 [90501] = true, -- [Recipe: Red War Fuel]
 [90502] = true, -- [Recipe: Blue War Fuel]
}
for id=41403,41423 do -- ZZOLD retired meta designs
  vars.DeadRecipes[id] = true
end
for id=74663,74677 do -- unreleased MoP cooking spec recipes (trainer pats)
  vars.DeadRecipes[id] = true
end
for id=87227,87249,2 do -- unreleased MoP cooking spec recipes (trainer pats)
  vars.DeadRecipes[id] = true
end

-- same for crafted items
vars.DeadCrafted = {
 [28119] = true, -- [Smooth Ornate Dawnstone]
 [28120] = true, -- [Smooth Ornate Dawnstone]
 [38546] = true, -- [Smooth Ornate Dawnstone]
 [38550] = true, -- [Smooth Ornate Dawnstone]
 [27679] = true, -- [Mystic Dawnstone]
 [37301] = true, -- [Deprecated Test Glyph]
 [38292] = true, -- [Test Living Ruby]
 [38916] = true, -- [Scroll of Enchant Weapon - Major Spirit] (enchant removed)
 [38958] = true, -- [Scroll of Enchant Weapon - Exceptional Intellect] (never released)
 [38983] = true, -- [Scroll of Enchant Shield - Mighty Stamina] (never released)
 [38994] = true, -- [Scroll of Enchant Weapon - Exceptional Healing] (never released)
 [40232] = true, -- [Test Dazzling Talasite]
 [40948] = true, -- [Deprecated Glyph of the Red Lynx]
 [43336] = true, -- [Deprecated Glyph of the Black Bear]
 [43337] = true, -- [Deprecated Glyph of the Forest Lynx]
 [43362] = true, -- [zzOLDGlyph of the Bear Cub]
 [43384] = true, -- [Deprecated Glyph of the Black Wolf]
 [45908] = true, -- [zzOLDGlyph of Envenom]
 [52196] = true, -- [Chimera's Eye] (false positive)
 [62763] = true, -- [Glyph of Pyroblast], (unreleased renaming of 42743)
 [62764] = true, -- [Glyph of Cone of Cold], (unreleased renaming of 42753)
 [62765] = true, -- [Glyph of Mana Shield], (unreleased renaming of 50045)
 [62766] = true, -- [Glyph of Dragon's Breath], (unreleased renaming of 42754)
 [62767] = true, -- [Glyph of Slow], (unreleased renaming of 45737)
 [62773] = true, -- [Glyph of Conjuring], (unreleased renaming of 43359)
 [63415] = true, -- [zzOLDGlyph of Armors]
 [71799] = true, -- [Glyph of Stabbing] (unreleased renaming of 42956)
 [76714] = true, -- [Perfect Rigid River\'s Heart] (never released)
 [77276] = true, -- [Enchant Weapon - Ninja] (never released)
 [79061] = true, -- [Enchant Weapon - Pandamonium] (never released)
 [89717] = true, -- [Enchant Bracer - Exceptional Strength (Scaling)] (never released)
 -- Glyphs never released in MoP
 [76729] = true, -- zzOLD Glyph of the Chameleon
 [85686] = true, -- zzOLD Glyph of Chi Wave
 [85690] = true, -- Glyph of Expel Harm (real version is 82345)
 [85701] = true, -- Glyph of Transcendence (real version 84652)
 [85703] = true, -- Glyph of Mass Exorcism (real version 83107)
 [85704] = true, -- Glyph of the Battle Healer (real version 81956)
 [85706] = true, -- Glyph of Mind Flay (real version is 79513)
 [85707] = true, -- Glyph of Vampiric Embrace (real version is 79515)
 [85708] = true, -- zzOLD Glyph of Vampiric Touch
 [85710] = true, -- Glyph of Incite (real version 83096)
 [85711] = true, -- zzOLD Glyph of the Bear Cub
 [85712] = true, -- zzOLD Glyph of Flying Serpent Kick
 [85714] = true, -- Glyph of Bladed Judgment (real version 80586)
 [85715] = true, -- Glyph of Focused Wrath (real version 80581)
 [85716] = true, -- Glyph of Righteous Retreat (real version 80585)
 [85717] = true, -- Glyph of the Falling Avenger (real version 80584)
 [85718] = true, -- Glyph of the Shadowy Apparition (real version 79538)
 [85719] = true, -- Glyph of Burning Anger (real version 80588)
 [85720] = true, -- Glyph of Crow Feast (real version 80587)
 [85722] = true, -- Glyph of the Blazing Trail (real version 85221)
 [87875] = true, -- Glyph of Lightspring (real version is 87902)
 [87886] = true, -- zzOLD Glyph of Spinning Fire Blossom
 [92727] = true, -- Glyph of Discreet Magic
 [93203] = true, -- Glyph of Focus
 -- uncraftable metas added in 5.2
 [95344] = true, --  [Indomitable Primal Diamond]
 [95345] = true, --  [Courageous Primal Diamond]
 [95346] = true, --  [Capacitive Primal Diamond]
 [95347] = true, --  [Sinister Primal Diamond]
 [95348] = true, --  [Tyrannical Primal Diamond]
 [76523] = true, -- Confounded Alexandrite, item never released
 [76655] = true, -- Confounded Wild Jade, item never released
 [95349] = true, -- [Enchant Weapon - Glorious Tyranny], not craftable
 [93403] = true, -- Eye of the Black Prince, not craftable, false positive on some languages
 [94904] = true, -- Crown of Heaven, not craftable, false positive on some languages
 [98163] = true, -- Enchant Weapon - Bloody Dancing Steel, pvp vendor scroll
 [98164] = true, -- Enchant Weapon - Spirit of Conquest, pvp vendor scroll
}

-- First Aid weirdness: Heavy Linen thru Heavy Runecloth have a duplicate bit for the 
-- same spell and itemid. The first bit is the one learned by most classes, the second
-- is the one auto-learned by DKs. Ignoring this weirdness for now.

vars.ItoS = {
---------------------------------------------------------------------------------------
-- Autogenerated data below
---------------------------------------------------------------------------------------
[0] = {
	["checksum"] = 2979034305,
	["scandate"] = "05/20/13 09:12:47",
	["cnt"] = 366,
	["version"] = "5.3.0",
	["build"] = "16965",
},



---------------------------------------------------------------------------------------
}
